Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.ui.swt.custom
Class TextCombo

    java.lang.Object
      Composite
          org.eclipse.birt.core.ui.swt.custom.CustomChooserComposite
              org.eclipse.birt.core.ui.swt.custom.TextCombo

    public class TextCombo

extends CustomChooserComposite

Custom text combo

Field Summary

Fields inherited from class org.eclipse.birt.core.ui.swt.custom.CustomChooserComposite
`DROPDOWN_EVENT, SELECTION_EVENT`

Constructor Summary
`TextCombo(Composite parent, int style)`

Method Summary
`protected ICustomChoice` | `createChoice(Composite parent, java.lang.Object choiceValue)`
`void` | `deselectAll()`
`java.lang.String` | `getText()`
`void` | `markSelection(java.lang.String text)`
`void` | `setText(java.lang.String text)`
`void` | `unmarkSelection(java.lang.String text)`

Methods inherited from class org.eclipse.birt.core.ui.swt.custom.CustomChooserComposite
`addListener, getChoiceIndex, getChoiceValue, getItem, getItemCount, getItems, isEnabled, removeListener, select, setChoiceValue, setEnabled, setItems`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextCombo

    public TextCombo(Composite parent,
                     int style)

Method Detail

### createChoice

    protected ICustomChoice createChoice(Composite parent,
                                         java.lang.Object choiceValue)

  Specified by:
    `createChoice` in class `CustomChooserComposite`

### setText

    public void setText(java.lang.String text)

### getText

    public java.lang.String getText()

### deselectAll

    public void deselectAll()

### markSelection

    public void markSelection(java.lang.String text)

### unmarkSelection

    public void unmarkSelection(java.lang.String text)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.